uuid: 3c612747-d091-46b7-908d-2d85e2a3267f
langcode: en
status: true
dependencies: {  }
id: gronze_comment_etapas
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - d7
  - comment
  - level2
migration_group: gronze_comment
label: 'Etapas Comments migration from Drupal 7'
source:
  plugin: d7_comment_type
  node_type: etapas
  high_water_property:
    name: changed
    alias: c
process:
  cid: cid
  entity_type:
    plugin: default_value
    default_value: node
  comment_body/value: comment_body/0/value
  comment_body/format:
    plugin: text_format_map
    source: comment_body/0/format
    default_value: basic_html
  langcode:
    plugin: default_value
    default_value: es
  subject: subject
  name: name
  mail: mail
  homepage: homepage
  hostname: hostname
  created: created
  changed: changed
  status: status
  thread: thread
  uid_lookup:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
  uid:
    plugin: default_value
    source: '@uid_lookup'
    default_value: 0
  entity_id:
    plugin: migration_lookup
    migration: gronze_node_etapas
    source: nid
    no_stub: true
  pid:
    plugin: migration_lookup
    migration: gronze_comment_etapas
    source: pid
    no_stub: false
  field_name:
    plugin: default_value
    default_value: field_comment_etapa
  comment_type:
    plugin: default_value
    default_value: comment_etapa
destination:
  plugin: 'entity:comment'
  default_bundle: comment_etapa
migration_dependencies:
  required:
    - gronze_user_accounts
    - gronze_node_etapas
